#
# spec file for package stella (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         stella
Copyright:    distributable
Group:        Applications/Emulators 
Provides:     stella 
Autoreqprov:  on
Version:      1.1
Release:      354
Summary:      An Atari 2600VCS Emulator
Url:          http://stella.atari.org/
Source:       stella-%{version}-src.tar.bz2
Patch:        stella-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
The Atari 2600 Video Computer System (VCS), introduced in 1977, was
the most popular home video game system of the early 1980's. Now you
can enjoy all of your favorite Atari 2600 games on your PC thanks to
Stella!

Authors:
--------
    Bradford W. Mott <bwmott@eos.ncsu.edu>

SuSE series: emu

%prep
%setup -n stella-%{version}
%patch

%build
cd src/build
make -f makefile linux-x-joy
cd ../ui/sound
make linux

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 755 src/build/xstella $RPM_BUILD_ROOT/usr/X11R6/bin/
install -d -m 755 $RPM_BUILD_ROOT/usr/bin/
install -m 755 src/ui/sound/stella-sound $RPM_BUILD_ROOT/usr/bin/
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/stella
cp -R games/ROMS $RPM_BUILD_ROOT/usr/lib/stella

%files
%defattr(-,root,root)
%doc  license *txt games/docs/* docs/* 
/usr/lib/stella
/usr/X11R6/bin/xstella
/usr/bin/stella-sound

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n stella
* Wed Jun 27 2001 - schwab@suse.de
- Fix for gcc 3.0.
* Tue Oct 24 2000 - cihlar@suse.cz
- fixed copyright tag
- bzipped sources
* Thu May 18 2000 - cihlar@suse.cz
- Group sorted
- removed /usr/doc/packages
* Fri Mar 17 2000 - cihlar@suse.cz
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Mon Mar 01 1999 - uli@suse.de
- update 0.6 -> 1.1
- added sound and joystick support
- eliminated Makefile.Linux
* Wed Feb 19 1997 - rj@suse.de
- new package
- version 0.6
